跳转到内容

下单--生成订单同时支付,如果已生成订单则是直接支付

POST /app/order
字段 名称 类型 是否必填
spu 规格数组 array 是
address 收货地址 object 是
order_sn 本地订单编号 string 是
cake_order_data 蛋糕下单参数 object 否
remark 订单备注 string 否

cake_order_data:

字段 名称 类型 是否必填
address_id 地址id --配送规则API返回 --addressId string 是
distribution_rule_id 配送规则id string 是
city_id 蛋糕城市id string 是
buyer_msg ## 备注 string 否
group array 是
buyer_phone 联系方式 string 是
ship_type 配送类型:delivery-商家配送(可选择配送时间),shop-门店自提(可选择配送时间),same-快递 ```json 蛋糕API-配送规则API "can_take":"1", //门店自提 "can_ship":"1", //商家配送 "can_same":"0", //快递 ``` 是
group[key === distribution_rule_id]
商家配送/快递 group[distribution_rule_id]{}
门店自提 group[distribution_rule_id]["shop"]{}
"group":{ "3306":{ "ship_type":"same", "ship_date":"0000-00-00", "ship_time_text":"" } },
"group":{ "4796":{ "ship_type":"shop", "ship_date":"2020-11-04", "ship_time_text":"11:00-12:00", "shop":{ "id":"1119523", "name":"太平门店", "detail":"南京市太平门街10号2幢(太平花园旁)" } } },
"group":{ "4437":{ "ship_type":"same", "ship_date":false, "ship_time_text":"下单后24小时发货,请耐心等候" } },

字段

名称 类型 是否必填 ## 备注
ship_type 配送类型 string 是 配送类型:delivery-商家配送(可选择配送时间),shop-门店自提(可选择配送时间),same-快递(配送规则接口没返回可选配送时间,正常上架状态的商品
ship_date 配送日期 string 是 如果没有传false (快递时传false ,门店配送和自提都需要时间)
ship_time_text 配送时间 string 是 配送时间 ,如果没有ship_time_text,请填写配规接口返回的delivery_text的值
shop_id 自提门店id string 否 配送方式是门店自提时必须 --自提门店id 自提的时候必填--选择配送范围API返回结果
shop_name 自提门店名称 string 否 配送方式是门店自提时必须
shop_detail 自提门店详情 string 否 配送方式是门店自提时必须

spu:

字段 名称 类型 是否必填
sku 规格id(中台 int 是
number 购买数量 int 是
share_live_room_id 直播间id int 否(如存在这个参数则下单商品必须是这个直播间的)
event_distribution_id 团购活动id int 否
address :
字段 名称 类型 是否必填
consignee 收货人姓名 string 是
phone 收货人手机号 string 是
province 省名称 string 是
city 市名称 string 是
area 区名称 string 是
street 街道名称(切记不要把详情的内容放到街道中) string 否
description 详细地址 string 是

中台订单信息 data.Orders**

字段 名称 类型
id 订单id int
created_at 创建时间 int
updated_at 修改时间 int
order_sn 订单编号 int
third_order_sn 第三方订单号 int
gather_supply_sn 供应链订单号 int
gather_supply_type 供应链类型id int
title 标题 int
status 订单状态 int
amount 订单总金额(分) int
refund_amount 退款金额(分) int
item_amount 商品市场价(分) int
supply_amount 供货金额(分) int
cost_amount 成本金额(分) int
freight 运费(分) int
service_fee 服务费(分) int
goods_count 商品总数 int
send_status 发货状态 0待发货1部分发货2已发货 int
remark 买家留言 string
note 商家备注 string
technical_services_fee 技术服务费(分) int
paid_at 支付时间
sent_at 发货时间
received_at 完成时间
closed_at 关闭时间
user_id 会员id
supplier_id 供应商id
gather_supply_id 供应链id
trade_id 交易id
pay_type_id 支付方式id
can_refund 是否可以退货(1是0否)
amount_detail 订单支付明细 array
options 商品规格 array
product 商品详情 看商品部分API注释
order_express 配送信息 array
user 用户信息 array
shipping_address 收货信息 array
supplier 供应商信息 array
gather_supply 供应链信息 array
pay_info 支付信息 array
button 按钮组,可使用的功能 array
shop_name 店铺名称 string
pay_type 支付方式名称 string
order_items 子订单信息 array

amount_detail:

字段 名称 类型 是否必须
title 名称:订单总价
amount 价格
qty 数量
amount_items 费用详情 array

options

字段 名称 类型 是否必须
spec_name 规格名称
spec_item_name 属性名称

amount_items

字段 名称 类型 是否必须
title 名称:订单总价
amount 价格
qty 数量
amount_items 费用详情 amount_items

shipping_address

字段 名称 类型 是否必须
realname 真实姓名
mobile 联系方式
province 省
city 市
county 区
town 街道
detail 详情

user

字段 名称 类型 是否必须
nickname 昵称
mobile 手机号
avatar 头像

supplier

字段 名称 类型 是否必须
name 供应商名称

order_items

字段 名称 类型 是否必须
id 子订单ID int

title

string 商品名称
sku_title string 商品sku名称
price string 售价
cost_amount int 成本
supply_amount int 供货金额
payment_amount int 均摊支付金额(分
amount int 总价
qty int 商品个数
freight int 运费
image_url int 商品图片
supplier array 门店数据 只有名称和logo
gather_supply array 供应链数据 只有名称和logo
options array 商品规格已选
user array 用户数据id和与会员等级
product_id array 商品id
sku_id array 商品规格id
amount_detail array 金额信息
send_status int 发货状态 0未发货 1已发货 2部分发货
{
"code": 0,
"data": {
"Orders": [
{
"id": 7631,
"created_at": 1675304949,
"updated_at": 1675304950,
"order_sn": 184283552021,
"third_order_sn": "cesssssss32131321312321321a",
"gather_supply_sn": "",
"gather_supply_msg": "",
"gather_supply_type": 0,
"key": "12-0-148-0",
"title": " ceshi0802",
"status": 0,
"amount": 1,
"refund_amount": 0,
"item_amount": 1,
"supply_amount": 0,
"cost_amount": 0,
"freight": 0,
"service_fee": 0,
"goods_count": 1,
"send_status": 0,
"refund_status": 1,
"remark": "",
"note": "",
"technical_services_fee": 0,
"paid_at": null,
"sent_at": null,
"received_at": null,
"closed_at": null,
"user_id": 44,
"supplier_id": 12,
"gather_supply_id": 0,
"application_id": 6,
"trade_id": 0,
"pay_type_id": 0,
"pay_info_id": 0,
"shipping_method_id": 0,
"shipping_address_id": 633,
"send_type_id": 0,
"comment_status": 0,
"can_refund": 0,
"lock": 0,
"is_connection": 0,
"amount_detail": {
"title": "订单总价",
"amount": 1,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品总价",
"amount": 1,
"qty": 0,
"desc": "",
"amount_items": null
},
{
"title": "技术服务费",
"amount": 0,
"qty": 0,
"desc": "服务费比例100",
"amount_items": null
},
{
"title": "总运费",
"amount": 0,
"qty": 0,
"desc": "",
"amount_items": null
}
]
},
"order_items": [
{
"id": 5415,
"created_at": 1675304949,
"updated_at": 1675304949,
"key": "",
"title": "供应商测试",
"sku_title": "默认",
"unit": "个",
"qty": 1,
"amount": 1,
"refund_amount": 0,
"discount_amount": 0,
"deduction_amount": 0,
"cost_amount": 0,
"payment_amount": 1,
"supply_amount": 0,
"image_url": "https://supply-chain-yunzmall.oss-cn-beijing.aliyuncs.com/20221128/1669614175QQ截图20211007105506.png",
"send_status": 0,
"refund_status": 0,
"trade_id": 0,
"supplier_id": 12,
"user_id": 44,
"order_id": 7631,
"product_id": 42587,
"sku_id": 130981,
"original_sku_id": 0,
"can_refund": 0,
"comment_status": 0,
"amount_detail": {
"title": "",
"amount": 0,
"qty": 0,
"desc": "",
"amount_items": [
{
"title": "商品等级优惠",
"amount": 0,
"qty": 0,
"desc": "",
"amount_items": []
},
{
"title": "商品总价",
"amount": 1,
"qty": 0,
"desc": "",
"amount_items": []
}
]
},
"options": [
{
"spec_name": "规格",
"spec_item_name": "默认"
}
],
"sku": {
"id": 0,
"created_at": null,
"updated_at": null,
"title": "",
"price": 0,
"cost_price": 0,
"origin_price": 0,
"guide_price": 0,
"activity_price": 0,
"stock": 0,
"weight": 0,
"is_display": 0,
"product_id": 0,
"supplier_id": 0,
"code": "",
"sn": "",
"barcode": "",
"image_url": "",
"options": null,
"original_sku_id": 0,
"describe": "",
"tax_code": "",
"tax_product_name": "",
"tax_short_name": "",
"tax_option": "",
"tax_unit": "",
"favorable_policy": "",
"is_favorable_policy": 0,
"free_of_tax": 0,
"short_code": "",
"tax_measure_price": 0,
"tax_rate": 0,
"is_tax_logo": 0
},
"product": {
"id": 0,
"created_at": null,
"updated_at": null,
"title": "",
"origin_price": 0,
"guide_price": 0,
"price": 0,
"cost_price": 0,
"activity_price": 0,
"min_buy_qty": 0,
"stock": 0,
"sales": 0,
"feedback_rate": 0,
"sn": "",
"code": "",
"is_new": 0,
"is_recommend": 0,
"is_hot": 0,
"is_promotion": 0,
"is_display": 0,
"status_lock": 0,
"single_option": 0,
"desc": "",
"image_url": "",
"video_url": "",
"unit": "",
"barcode": "",
"long": 0,
"wide": 0,
"high": 0,
"volume": 0,
"freight": 0,
"freight_type": 0,
"maxPrice": 0,
"minPrice": 0,
"maxCostPrice": 0,
"minCostPrice": 0,
"maxOriginPrice": 0,
"minOriginPrice": 0,
"gallery": null,
"qualifications": null,
"detail_images": "",
"attrs": null,
"supplier": {
"id": 0,
"name": ""
},
"gather_supply": {
"id": 0,
"name": "",
"key": "",
"category_id": 0
},
"ali_product": {
"id": 0,
"created_at": null,
"updated_at": null,
"product_id": 0,
"sku_id": 0,
"ali_sku_id": "",
"ali_product_id": 0,
"shop_id": ""
},
"brand_id": 0,
"brand": {
"id": 0,
"created_at": null,
"updated_at": null,
"name": ""
},
"supplier_id": 0,
"gather_supply_id": 0,
"category1_id": 0,
"category2_id": 0,
"category3_id": 0,
"freight_template_id": 0,
"source": 0,
"sort": 0,
"source_goods_id": 0,
"location_id": 0,
"freeze": 0,
"shop_level": 0,
"des_level": 0,
"express_level": 0,
"level": 0,
"child_title": "",
"bill_position": 0,
"md5": "",
"tax_code": "",
"tax_product_name": "",
"tax_short_name": "",
"tax_option": "",
"tax_unit": "",
"favorable_policy": "",
"is_favorable_policy": 0,
"free_of_tax": 0,
"short_code": "",
"tax_measure_price": 0,
"tax_rate": 0,
"is_tax_logo": 0,
"product_verify": {
"id": 0,
"created_at": null,
"updated_at": null,
"product_id": 0,
"supplier_id": 0,
"status": 0,
"is_display": 0
},
"is_plugin": 0,
"is_single_order": 0,
"supplier_source_id": 0,
"supplier_source_category_id": 0
},
"after_sales": {
"id": 0,
"created_at": null,
"updated_at": null,
"after_sale_sn": "",
"user_id": 0,
"amount": 0,
"technical_services_fee": 0,
"freight": 0,
"practical_amount": 0,
"reason_type": 0,
"reason": "",
"description": "",
"order_id": 0,
"order_item_id": 0,
"sku_id": 0,
"product_id": 0,
"shipping_address_id": 0,
"is_received": 0,
"pay_method": 0,
"return_order_express_id": 0,
"status": 0,
"type": 0,
"detail_images": null,
"logs": null,
"after_sales_audit": {
"id": 0,
"created_at": null,
"updated_at": null,
"after_sales_id": 0,
"admin_id": 0,
"reason_type": 0,
"reason": "",
"status": 0,
"cause": "",
"status_name": "",
"refund_name": ""
},
"return_order_express": {
"id": 0,
"created_at": null,
"updated_at": null,
"after_sales_id": 0,
"company_name": "",
"company_code": "",
"express_no": ""
},
"refund_reason_name": "",
"success_at": null,
"status_name": ""
}
}
],
"order_express": {
"id": 0,
"created_at": null,
"updated_at": null,
"order_id": 0,
"company_code": "",
"express_no": "",
"order_items": null,
"is_empty": 0,
"final_send": 0
},
"shipping_address": {
"id": 0,
"realname": "",
"mobile": "",
"country_id": 0,
"province_id": 0,
"city_id": 0,
"county_id": 0,
"town_id": 0,
"province": "",
"city": "",
"county": "",
"town": "",
"detail": "",
"lng": "",
"lat": ""
},
"order_bill": {
"id": 0,
"created_at": null,
"updated_at": null,
"type": 0,
"account_type": 0,
"person_name": "",
"mobile": "",
"company_name": "",
"company_code": "",
"email": "",
"sign_address": "",
"sign_mobile": "",
"opening_bank": "",
"bank_account": "",
"detail_type": 0,
"amount": 0,
"address_id": 0,
"applicant": "",
"order_id": 0,
"bill_id": 0,
"status": 0,
"drawer": 0
},
"technology_fee_bill": {
"id": 0,
"created_at": null,
"updated_at": null,
"order_id": 0,
"bill_id": 0,
"amount": 0,
"status": 0
},
"is_update_shipping_address": 1,
"is_cps": 0
}
]
},
"msg": "操作成功"
}